import { Component, Renderer, ElementRef, Input, TemplateRef } from '@angular/core';
import { TooltipPopup } from '../tooltip/tooltip-popup';

@Component({
  selector: 're-popover-popup',
  template: "\n    <div class=\"arrow\"></div>\n    <h3 class=\"popover-title\" *ngIf=\"title\">\n      <span *ngIf=\"!title?.elementRef\" [innerHTML]=\"title\"></span>\n      <template *ngIf=\"title?.elementRef\" [ngTemplateOutlet]=\"title\"\n                [ngOutletContext]=\"{ $implicit: context }\"></template>\n    </h3>\n    <div class=\"popover-content\">\n      <span *ngIf=\"!content?.elementRef\" [innerHTML]=\"content\"></span>\n      <template *ngIf=\"content?.elementRef\" [ngTemplateOutlet]=\"content\"\n                [ngOutletContext]=\"{ $implicit: context }\"></template>\n    </div>\n  ",
  host: { '[class]': '"popover fade  " + placement', '[style.display]': '"none"', 'role': 'tooltip' }
})
export class PopoverPopupComponent extends TooltipPopup {
  @Input() title: string | TemplateRef<any>;

  constructor(elementRef: ElementRef, renderer: Renderer) {
    super(elementRef, renderer);
  }
}
