import { Component, ElementRef, Renderer } from '@angular/core';
import { TooltipPopup } from './tooltip-popup';

@Component({
  selector: 're-tooltip-popup',
  template: "\n    <div class=\"tooltip-arrow\"></div>\n    <div class=\"tooltip-inner\">\n      <span *ngIf=\"!content?.elementRef\" [innerHTML]=\"content\"></span>\n      <template *ngIf=\"content?.elementRef\" [ngTemplateOutlet]=\"content\" [ngOutletContext]=\"{ $implicit: context }\"></template>\n    </div>\n  ",
  host: { '[class]': '"tooltip fade  " + placement', '[style.display]': '"none"', 'role': 'tooltip' }
})
export class TooltipPopupComponent extends TooltipPopup {

  constructor(elementRef: ElementRef, renderer: Renderer) {
    super(elementRef, renderer);
  }
}
